namespace IRaCIS.Core.Domain.Models;

[Comment("阅片医学问题答案")]
[Table("ReadingMedicineQuestionAnswer")]
public class ReadingMedicineQuestionAnswer : BaseFullAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    [ForeignKey("TaskMedicalReviewId")]
    public TaskMedicalReview TaskMedicalReview { get; set; }
    #endregion

    [Comment("医学审核问题Id")]
    public Guid ReadingMedicineQuestionId { get; set; }

    [Comment("医学审核Id")]

    public Guid TaskMedicalReviewId { get; set; }

    public Guid VisitTaskId { get; set; }
    public string Answer { get; set; } = string.Empty;
}
